OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_DataMapIteratorOfPresentationDirectory Class Reference

`#include <CDM_DataMapIteratorOfPresentationDirectory.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_DataMapIteratorOfPresentationDirectory ()
Standard_EXPORT | CDM_DataMapIteratorOfPresentationDirectory (const CDM_PresentationDirectory &aMap)
Standard_EXPORT void | Initialize (const CDM_PresentationDirectory &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Handle_CDM_Document & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT CDM_DataMapIteratorOfPresentationDirectory::CDM_DataMapIteratorOfPresentationDirectory | ( |  | ) |

Standard_EXPORT CDM_DataMapIteratorOfPresentationDirectory::CDM_DataMapIteratorOfPresentationDirectory | ( | const CDM_PresentationDirectory & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void CDM_DataMapIteratorOfPresentationDirectory::Initialize | ( | const CDM_PresentationDirectory & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& CDM_DataMapIteratorOfPresentationDirectory::Key | ( |  | ) | const

void CDM_DataMapIteratorOfPresentationDirectory::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_DataMapIteratorOfPresentationDirectory::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_DataMapIteratorOfPresentationDirectory::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_CDM_Document& CDM_DataMapIteratorOfPresentationDirectory::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- CDM_DataMapIteratorOfPresentationDirectory.hxx